FROM node:12.13.0-alpine
VOLUME /root/.ssh
VOLUME /tmp

#TODO Consider deprecating in favor of calling npx sfdx as that will automatically install the latest version of sfdx and execute the desired commands
##sfdx
RUN apk add --upgrade apk-tools && \
    apk -v --update add \
    bash && \
    npm install sfdx-cli@7.72.0 --global

#ADD scripts/ /opt/pipeline/scripts/
ENTRYPOINT [ "node" ]